package com.fp.common.exception;

import java.io.IOException;

import com.fp.common.properties.PropertiesHandler;



/**
 * Clase que se encarga del manejo del archivo de propiedades common. 
 * @author Jorge Vaca.
 * @version 2.1
 */
public class ExceptionsProperties extends PropertiesHandler {
    /**
     * Almacena una instancia del tipo ExceptionsProperties en el singleton.
     */
	private static ExceptionsProperties instance=null;
	/**
	 * Crea una instancia de CommonProperties.
	 */
	private  ExceptionsProperties() throws IOException,Exception{
		super("exceptions");
	}
	/**
	 * Crea y entrega una instancia de ExceptionsProperties. 
	 * @return	ExceptionsProperties
	 * @throws IOException
	 */
	public static ExceptionsProperties getInstance() throws IOException,Exception{
		synchronized(ExceptionsProperties.class){
			if(instance==null){
				instance=new ExceptionsProperties();
			}			
		}
		return instance;
	}
}
